GlueGen: com.jogamp.common.os.NativeLibrary.LibPath Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
com.jogamp.common.os.NativeLibrary.LibPath Class Reference

Native Library Path Specification. More...

Collaboration diagram for com.jogamp.common.os.NativeLibrary.LibPath:

## Public Member Functions

int | hashCode ()
boolean | equals (final Object o)
String | toString ()

## Static Public Member Functions

static LibPath | createRelative (final String p)
| Returns new instance with relative path in system linker search path. More...
static LibPath | createAbsolute (final String p)
| Returns new instance with absolute path in system linker search path. More...
static LibPath | createExtra (final String p, final String searchPathPrepend)
| Returns new instance with absolute path not in system linker search path. More...

## Public Attributes

final String | path
| Relative or absolute library path. More...
final boolean | isAbsolute
| True if path is an absolute path. More...
final boolean | addToSearchPath
| True if directory of absolute library path shall be added to the linker search path. More...
final String | searchPathPrepend
| Search path prepend directories, separated by OS `File#pathSeparator`. More...

## Detailed Description

Native Library Path Specification.

Definition at line 153 of file NativeLibrary.java.

## Member Function Documentation

## ◆ createAbsolute()

static LibPath com.jogamp.common.os.NativeLibrary.LibPath.createAbsolute | ( | final String | p | ) |

static

Returns new instance with absolute path in system linker search path.

Definition at line 184 of file NativeLibrary.java.

## ◆ createExtra()

static LibPath com.jogamp.common.os.NativeLibrary.LibPath.createExtra | ( | final String | p,
|  | final String | searchPathPrepend
| ) |  |

static

Returns new instance with absolute path not in system linker search path.

See also
  addToSearchPath

Definition at line 190 of file NativeLibrary.java.

## ◆ createRelative()

static LibPath com.jogamp.common.os.NativeLibrary.LibPath.createRelative | ( | final String | p | ) |

static

Returns new instance with relative path in system linker search path.

Definition at line 181 of file NativeLibrary.java.

## ◆ equals()

boolean com.jogamp.common.os.NativeLibrary.LibPath.equals | ( | final Object | o | ) |

Definition at line 215 of file NativeLibrary.java.

## ◆ hashCode()

int com.jogamp.common.os.NativeLibrary.LibPath.hashCode | ( |  | ) |

Definition at line 212 of file NativeLibrary.java.

## ◆ toString()

String com.jogamp.common.os.NativeLibrary.LibPath.toString | ( |  | ) |

Definition at line 228 of file NativeLibrary.java.

## Member Data Documentation

## ◆ addToSearchPath

final boolean com.jogamp.common.os.NativeLibrary.LibPath.addToSearchPath

True if directory of absolute library path shall be added to the linker search path.

May not be supported on all systems.

Supported OS: Windows.

See also
  searchPathPrepend

Definition at line 169 of file NativeLibrary.java.

## ◆ isAbsolute

final boolean com.jogamp.common.os.NativeLibrary.LibPath.isAbsolute

True if path is an absolute path.

Definition at line 158 of file NativeLibrary.java.

## ◆ path

final String com.jogamp.common.os.NativeLibrary.LibPath.path

Relative or absolute library path.

Definition at line 155 of file NativeLibrary.java.

## ◆ searchPathPrepend

final String com.jogamp.common.os.NativeLibrary.LibPath.searchPathPrepend

Search path prepend directories, separated by OS `File#pathSeparator`.

May be used independent to `addToSearchPath`.

See also
  addToSearchPath

Definition at line 178 of file NativeLibrary.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/os/NativeLibrary.java